#!/bin/sh
# PKZIP Server for Unix Tutorial Setup Script
# Copyright 1997-2005 PKWARE Inc.  All Rights Reserved.

OUTPUT="/dev/null"
TUTDIR="${HOME}/tut"

echo "This batch file is used to create the tutorial environment"
echo "for PKZIP Server."

echo "Creating the PKZIP Server Tutorial Environment"
echo ""
echo "Creating the tut directory, '${TUTDIR}'"

mkdir -p ${TUTDIR} 2>> ${OUTPUT}

if [ -d ${TUTDIR} ]
then
	echo "Copying the test files"
	cp license.txt ${TUTDIR} 2>> ${OUTPUT}
	cp license-eval.txt ${TUTDIR} 2>> ${OUTPUT}
	cp readme.txt ${TUTDIR} 2>> ${OUTPUT}
	cp ThirdPartyLicense.pdf ${TUTDIR} 2>> ${OUTPUT}
	cd ${TUTDIR}

	echo "Creating the test files"
	mv license.txt tan.txt 2>> ${OUTPUT}
	cp tan.txt red.txt 2>> ${OUTPUT}
	cp tan.txt blue.fil 2>> ${OUTPUT}
	mv readme.txt orange.fil 2>> ${OUTPUT}
	cp orange.fil green.doc 2>> ${OUTPUT}
	cp orange.fil purple.txt 2>> ${OUTPUT}
	mv license-eval.txt yellow.doc 2>> ${OUTPUT}
	cp yellow.doc white.doc 2>> ${OUTPUT}
	cp yellow.doc brown.doc 2>> ${OUTPUT}
	mv ThirdPartyLicense.pdf black.tut 2>> ${OUTPUT}
	cp black.tut pink.tut 2>> ${OUTPUT}
	cp black.tut gold.tut 2>> ${OUTPUT}
	cd ..
	echo "Done."
else
	echo "Error creating tutorial directory, '${TUTDIR}'!"
fi
